Summary: The BSD 4.4 version of make.
Name: pmake
Version: 1.45
Release: 10
Serial: 1
License: BSD
Group: Development/Tools
Source0: http://ftp.debian.org/debian/dists/potato/main/source/devel/%{name}_%{version}-3.2.tar.gz
Patch0: pmake-1.45-mktemp.patch
Patch1: pmake-1.45-groffpath.patch
Obsoletes: pmake-customs
BuildRoot: %{_tmppath}/%{name}-root
Requires: /bin/mktemp

%description
Make is a GNU tool which allows users to build and install programs
without any significant knowledge of the build process. Details about
how the program should be built are included in the program's
Makefile. Pmake is a particular version (BSD 4.4) of make. Pmake
supports some additional syntax which is not in the standard make
program. Some Berkeley programs have Makefiles written for pmake.

%prep
%setup -q
%patch0 -p1 -b .mktemp
%patch1 -p1

%build
make -f Makefile.boot CFLAGS="${RPM_OPT_FLAGS} -D__COPYRIGHT\(x\)= -D__RCSID\(x\)= \
    -I. -DMACHINE=\\\"redhat\\\" -DMACHINE_ARCH=\\\"`arch`\\\"" CC=gcc
touch build


%install
rm -rf %{buildroot}

mkdir -p %{buildroot}
mkdir -p %{buildroot}/{%{_bindir},%{_mandir}/man1}
install bmake %{buildroot}/%{_bindir}/pmake
install -m 755 mkdep %{buildroot}/%{_bindir}
install make.1 %{buildroot}/%{_mandir}/man1/pmake.1
install mkdep.1 %{buildroot}/%{_mandir}/man1

mkdir -p %{buildroot}/%{_datadir}/mk
rm mk/*~
for file in mk/*; do
    install -m 644 $file %{buildroot}/%{_datadir}/mk
done

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc PSD.doc/tutorial.ms
%{_bindir}/*
%{_datadir}/mk
%{_mandir}/man1/*

%changelog
* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Nov 21 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- adjust to groff-1.18.1

* Sat Aug 10 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- adjust to new groff 1.18 release

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Aug 21 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- bad. Hardcoded path including a version number for groff.

* Fri May 11 2001 Preston Brown <pbrown@redhat.com>
- use mktemp in mkdep script

* Mon Jan 08 2001 Preston Brown <pbrown@redhat.com>
- report newer pmake from Debian who got it from 4.4BSD

